%define desktop_file 1
%if %{desktop_file}
%define desktop_file_utils_version 0.2.93
%endif
Summary: A GUI text editor for systems with X and Motif.
Name: nedit
Version: 5.3
Release: 4
Source: http://nedit.org/ftp/v5_3/nedit-%{version}-source.tar.gz
Source1: nedit.desktop
Patch0: nedit-5.3-security.patch
Patch1: nedit-5.3-makefiles.patch
URL: http://nedit.org
License: distributable
Group: Applications/Editors
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: openmotif-devel
Requires: openmotif
%if %{desktop_file}
Requires: /usr/bin/desktop-file-install
BuildPrereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif

%description
NEdit is a GUI text editor for the X Window System and Motif. NEdit is
very easy to use, especially if you are familiar with the
Macintosh(TM) or Microsoft(TM) Windows(TM) style of interface.

%prep
%setup -q
%patch0 -p1 -b .security
%patch1 -p1 -b .makefiles

%build
make linux

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/man/man1
install -s -m 755 source/nedit source/nc $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
install -m 644 doc/nedit.man $RPM_BUILD_ROOT%{_prefix}/X11R6/man/man1/nedit.1x
install -m 644 doc/nc.man $RPM_BUILD_ROOT%{_prefix}/X11R6/man/man1/nc.1x

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Applications
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/applnk/Applications
%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/applications
desktop-file-install --vendor net --delete-original \
        --dir $RPM_BUILD_ROOT%{_prefix}/share/applications \
        --add-category "Application;Development;X-Red-Hat-Extra" \
        $RPM_BUILD_ROOT/etc/X11/applnk/Applications/nedit.desktop
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/nedit.doc README ReleaseNotes
%{_prefix}/X11R6/man/*/*
%{_prefix}/X11R6/bin/*
%if %{desktop_file}
%{_prefix}/share/applications/*
%else
%config /etc/X11/applnk/Applications/nedit.desktop
%endif

%changelog
* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Nov  8 2002 Tim Waugh <twaugh@redhat.com> 5.3-3
- Handle X11 libdir issue.

* Tue Oct 22 2002 Tim Waugh <twaugh@redhat.com> 5.3-2
- Remove original desktop file when installing.
- Fix desktop file icon (bug #61677).

* Wed Jul 24 2002 Karsten Hopp <karsten@redhat.de>
- 5.3
- use desktop-file-utils (#69461)
- redo all patches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Mar 22 2002 Tim Powers <timp@redhat.com>
- rebuilt against openmotif-2.2.2

* Fri Mar  1 2002 Than Ngo <than@redhat.com> 1.2-1
- update to 1.2
- cleanup patch files

* Thu Jan 17 2002 Than Ngo <than@redhat.com> 5.1.1-13
- rebuild against openmotif

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Oct 25 2001 Bill Nottingham <notting@redhat.com>
- 0 != NULL. lather, rinse, repeat. (#54943)

* Mon Aug 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix crash while printing (#45149)
  I still think removing the package would be the better fix, though.

* Sun Jun 10 2001 Than Ngo <than@redhat.com>
- requires lesstif-devel

* Tue May 22 2001 Tim Powers <timp@redhat.com>
- patched to use lesstif

* Fri Apr 27 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix security bug, use mkstemp()

* Fri Oct 13 2000 Preston Brown <pbrown@redhat.com>
- .desktop file added

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Sat Jun 17 2000 Than Ngo <than@redhat.de>
- rebuilt against openmotif-2.1.30
- use PRM macros

* Tue May 16 2000 Tim Powers <timp@redhat.com>
- updated to 5.1.1
- updated URL and source location

* Wed Aug 18 1999 Tim Powers <timp@redhat.com>
- excludearch alpha

* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Oct 14 1998 Michael Maher <mike@redhat.com>
- built package for 5.2

* Thu May 21 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 5.0.2

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig

* Mon Nov 17 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- fixed src url
- added URL tag
